<template>
        <GridLayout :classes="styles.layout">
          <Row>
            <Cell :classes="styles.cellCol" size="12"><H1>A12</H1></Cell>
          </Row>
          <Row>
            <Cell :classes="styles.cellCol" size="1">B1</Cell>
            <Cell :classes="styles.cellCol" size="1">B2</Cell>
            <Cell :classes="styles.cellCol" size="1">B3</Cell>
            <Cell :classes="styles.cellCol" size="1">B4</Cell>
            <Cell :classes="styles.cellCol" size="1">B5</Cell>
            <Cell :classes="styles.cellCol" size="1">B6</Cell>
            <Cell :classes="styles.cellCol" size="1">B7</Cell>
            <Cell :classes="styles.cellCol" size="1">B8</Cell>
            <Cell :classes="styles.cellCol" size="1">B9</Cell>
            <Cell :classes="styles.cellCol" size="1">B10</Cell>
            <Cell :classes="styles.cellCol" size="1">B11</Cell>
            <Cell :classes="styles.cellCol" size="1">B12</Cell>
          </Row>

          <Row>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="1" sxxs="1">B13</Cell>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="1" sxxs="1">B14</Cell>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="1" sxxs="1">B15</Cell>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="1" sxxs="1">B16</Cell>
            <Cell hd="0" lg="3" md="3" sm="3" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="2" sxxs="2">B17</Cell>
            <Cell :classes="styles.cellCol" size="3" hd="2" smd="2" xs="2" xxs="2" sxxs="2">B18</Cell>
            <Cell hd="0" lg="3" md="3" sm="3" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
          </Row>

          <Row>
            <Cell hd="0" lg="1" md="1" sm="1" smd="1" xs="1" xxs="1" sxxs="1" :space="true"/>
            <Cell :classes="styles.cellCol" size="3" smd="2" xs="2" xxs="1" sxxs="1">B19</Cell>
            <Cell :classes="styles.cellCol" size="3" lg="2" md="2" sm="2" smd="2" xs="2" xxs="2" sxxs="2">B20</Cell>
            <Cell hd="0" lg="0" md="0" sm="0" smd="1" xs="1" xxs="0" sxxs="0" :space="true"/>
            <Cell hd="0" lg="0" md="0" sm="0" smd="1" xs="1" xxs="2" sxxs="2" :space="true"/>
            <Cell :classes="styles.cellCol" size="3" smd="2" xs="2" xxs="1" sxxs="1">B21</Cell>
            <Cell hd="0" lg="1" md="1" sm="1" smd="1" xs="1" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="3" lg="2" md="2" sm="2" smd="2" xs="2" xxs="1" sxxs="1">B22</Cell>
          </Row>

          <Row>
            <Cell hd="0" lg="0" md="0" sm="0" smd="0" xs="0" xxs="1" sxxs="1" :space="true"/>
            <Cell :classes="styles.cellCol" size="5" smd="2" xs="2" xxs="1" sxxs="1">B23</Cell>
            <Cell size="1" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="6" smd="4" xs="4" xxs="1" sxxs="1">B24</Cell>
            <Cell size="0" sm="1" :space="true"/>
          </Row>

          <Row>
            <Cell size="3" lg="1" md="1" sm="1" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="4" lg="5" md="5" sm="5" smd="3" xs="3" xxs="3" sxxs="3">B25</Cell>
            <Cell size="1" lg="0" md="0" sm="0" smd="1" xs="1" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="4" lg="5" md="5" sm="5" smd="2" xs="2" xxs="1" sxxs="1">B26</Cell>
            <Cell size="1" hd="0" smd="0" xs="0" :space="true"/>
          </Row>
          <Row/>

          <Row>
            <Cell size="1" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="11" smd="5" xs="5" xxs="0" sxxs="0">B27</Cell>
          </Row>

          <Row>
            <Cell size="2" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="10" smd="4" xs="4" xxs="0" sxxs="0">B28</Cell>
          </Row>

          <Row>
            <Cell size="3" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="9" smd="3" xs="3" xxs="0" sxxs="0">B29</Cell>
          </Row>

          <Row>
            <Cell size="4" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="8" smd="2" xs="2" xxs="0" sxxs="0">B30</Cell>
          </Row>

          <Row>
            <Cell size="5" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="7" smd="1" xs="1" xxs="0" sxxs="0">B31</Cell>
          </Row>

          <Row>
            <Cell size="6" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="6" smd="0" xs="0" xxs="0" sxxs="0">B32</Cell>
          </Row>

          <Row>
            <Cell size="7" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="5" smd="0" xs="0" xxs="0" sxxs="0">B33</Cell>
          </Row>

          <Row>
            <Cell size="8" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="4" smd="0" xs="0" xxs="0" sxxs="0">B34</Cell>
          </Row>

          <Row>
            <Cell size="9" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="3" smd="0" xs="0" xxs="0" sxxs="0">B35</Cell>
          </Row>

          <Row>
            <Cell  size="10" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :classes="styles.cellCol" size="2" smd="0" xs="0" xxs="0" sxxs="0">B36</Cell>
          </Row>
          <Row>
            <Cell size="11" smd="0" xs="0" xxs="0" sxxs="0" :space="true"/>
            <Cell :class="styles.cellCol" size="1" smd="0" xs="0" xxs="0" sxxs="0">B37</Cell>
          </Row>
        </GridLayout>
</template>

<script>
import { defineComponent } from 'vue'
import { GridLayout, Cell, Row, H1 } from '@/components/ui-kit'
import styles from './styles.module.scss'

export default defineComponent({
  name: 'Home',
  data () {
    return { styles }
  },
  components: {
    GridLayout,
    Cell,
    Row,
    H1
  }
})
</script>
